Return the authenticated workspace user's profile.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/account/profile"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/account/profile';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/account/profileAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
object
Profile fields for the authenticated workspace account.
object
Workspace user identifier.
Exact stored Unicode login name.
Optional email address.
First name.
Last name.
Canonical effective display name.
Avatar presentation values for a workspace user.
object
Initials derived from the user name.
Hex color for the avatar background.
Hex color for the avatar text.
object
object
object
object
Example
{ "Data": { "UserType": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Profile fields for the authenticated workspace account.
object
Workspace user identifier.
Exact stored Unicode login name.
Optional email address.
First name.
Last name.
Canonical effective display name.
Avatar presentation values for a workspace user.
object
Initials derived from the user name.
Hex color for the avatar background.
Hex color for the avatar text.
object
object
object
object
Example
{ "Data": { "UserType": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}